# for details on configuration, see https://github.com/MinecraftWars/Gringotts/blob/master/doc/configuration.md

# supported languages: "custom" (default, english) and "de" (german)
language: custom

# regex that create a vault if matches with a sign
vault_pattern: '[^\[]*\[(\w*) ?vault\]'

# currency name and value config
currency:
  # currency name to use in messages
  name:
    singular: Emerald
    plural: Emeralds

  # number of decimal digits supported by currency value (0 for whole numbers only)
  digits: 2

  # Display account balances with individual denomination names
  named-denominations: false

  # value of individual denominations. default: emerald: 1, emerald block: 9
  denominations:
    - material: emerald
      value: 1
#      unit-name: Emeralde
#      unit-name-plural: Emeraldes
#      displayname: Emeralde
#      damage: 10
#      custom_model_data: 1
#      lore:
#        - line1
#        - line2
    - material: emerald_block
      value: 9
#      unit-name: Emeralde
#      unit-name-plural: Emeraldes
#      displayname: Emeralde
#      damage: 10
#      custom_model_data: 1
#      lore:
#        - line1
#        - line2

# tax on /money pay transactions
transactiontax:
  flat: 0.0
  rate: 0.0

# balance to start an account with (purely virtual)
startingbalance:
  player: 0
  faction: 0
  town: 0
  nation: 0

# globally (dis)allow use of vault types
usevault:
  container: true
  enderchest: true

# whether money/balance commands show vault and inventory balance separately
balance:
  show-vault: true
  show-inventory: true
